(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "axios"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("axios"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.axios);
    global.AnimalApi = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _axios) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _axios = _interopRequireDefault(_axios);
  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
  const getCat = () => {
    return _axios.default.get('https://aws.random.cat/meow').then(res => {
      return {
        imageSrc: res.data.file
      };
    });
  };
  const getDog = () => {
    return {
      data: 'dog'
    };
  };
  const getGoat = () => {
    return Promise.resolve({
      data: 'goat'
    });
  };
  var _default = {
    getDog,
    getCat,
    getGoat
  };
  _exports.default = _default;
});